//+------------------------------------------------------------------+
//|                                                        Cyber.mq5 |
//|                        Copyright 2015, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property indicator_separate_window
#property indicator_plots               0
#property indicator_buffers             0
#property indicator_minimum             0.0
#property indicator_maximum             0.0
//+------------------------------------------------------------------+
//|                                                   |
//+------------------------------------------------------------------+
#include "PanelDialog.mqh"
//+------------------------------------------------------------------+
//|                                              |
//+------------------------------------------------------------------+
CPanelDialog ExtDialog;
double MyLimit = 0.003;
int MyPeriod = 20;


//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
  //---   
   if(!ExtDialog.Create(0,"Cyber",0,0,0,0,130))
      return(-1);
//---  
   if(!ExtDialog.Run())
      return(-2);
      
//---
   return(0);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---  
   ExtDialog.Destroy();
      
  }
//+------------------------------------------------------------------+
//|                                                          |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const int begin,
                const double &price[])
  {
//---   
   ExtDialog.SetRed(MyLimit);
   ExtDialog.SetGreen(MyPeriod);
//---   prev_calculated   
   return(rates_total);
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---
Print(__FUNCTION__+": tick at "+TimeToString(TimeCurrent()));
  }


//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
  {
//---  
   ExtDialog.ChartEvent(id,lparam,dparam,sparam);
   MyLimit = ExtDialog.MyRed();
   MyPeriod = ExtDialog.MyGreen();
  }
//+------------------------------------------------------------------+
